Bug 101777 - Red Hat vs SCO lawsuit missing counts
Red Hat vs SCO lawsuit missing counts
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 15:10 EDT by Stephen Samuel
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Samuel 2003-08-06 15:10:01 EDT
Description of problem:
RedHat Lawsuit against SCO Missing counts

Version-Release number of selected component (if applicable):
1.0

How reproducible:
always

Steps to Reproduce:
1. Read the GPL
2. Bone up on the history of SCO and Linux
3. Read RedHat's complaint
    
Actual results:
Missing an accusation of Breach of Contract.
May also be missing an allegation of copyright violation.

Expected results:
Complete rout of SCO's FUD tactics

Additional info:
In it's complaints against SCO, RedHat has failed to allege Breach of Contract
and Copyright violation.  These may be necessary to a successful completion of
the suit against SCO.

Breach of Contract:
SCO has been distributing Linux code -- which includes code written by RedHat --
under the protection of the GPL.  Via the GPL, RedHat (and other code owners)
have promised SCO (among others) protection from copyright infringement
complaints as long as SCO follows the terms of the GPL.  
For apx. 5 years now, SCO has distributed Linux source and object code under the
guise of obeying the terms of the GPL.  As such, it has reaped millions of
dollars of income.

Among other things, the GPL requires SCO to license anything which it
distributes as part of Linux under the terms of the GPL (or a satisfactorily
other open license).

Now, SCO is claiming that some of the code which it has been distributing is
* Owned by SCO
* Not licensed under the GPL  (or a compatible license)
* Not ever going to be licensed under the GPL
* Will not be identified by SCO in the forseeable future.

SCO is also attempting to charge any and/or all users of Linux up to $700/CPU
under an object-code only license.

The above are entirely repugnant to the spirit and word of the GPL.

Equitable relief would be to force SCO to comply with the terms of the GPL (and
thus properly license any code which it has refused to so license), as well as
an accounting of SCO's profits from this violation.


Copyright violation: 

By wilfully and maliciously violating the GPL, SCO has lost the right to
distribute the GPL code owned by Redhat (and others, including RedHat
employees).  By continuing to distribute this code, without the protection of
the GPL, SCO is in violation of Copyright, and subject to appropriate legal
punnisment.


========================
I strongly believe that inclusion of the breach of contract provisions may be
necessary to avoid SCO escaping RedHat's lawsuit via a loophole.
Comment 1 Arjan van de Ven 2003-08-06 15:19:28 EDT
Thank you for your comments. I've forwarded this text to our lawyer, who
apparently doesn't have a bugzilla account currently. I'll try to see if he
wants to change that. Either way I'll proxy his response back to this bug when
appropriate.
Comment 2 Rik van Riel 2003-08-06 15:28:16 EDT
I am not a lawyer (but you knew that).

Having said that, I fail to spot where exactly SCO is claiming to license you
any Linux code. Their web site is talking about a license for "SCO's IP" and
also saying that "you need it to legally run Linux" (or something to that
effect), but it is NOT saying that "SCO is licensing Linux IP" ...

The fact that SCO is not explicitly claiming to license Linux IP would make it
harder to claim a violation with the GPL.

Btw, I tried reassigning this to our chief lawyer, but he doesn't have a
bugzilla account so that failed ;)
Comment 3 Lon Hohberger 2003-08-06 16:14:40 EDT
Fixing mistake in Red Hat trademark in subject line.

(changing "RedHat" -> "Red Hat" in subject line; we have a space in our name,
honest!)
Comment 4 Mike A. Harris 2003-08-11 21:09:16 EDT
Fixing another typo in Summary line "missiong" -> "missing"  ;o)
Comment 5 Stephen Samuel 2003-10-07 20:04:56 EDT
The art of legal Aikido:

I see many a lawyer miss the significance of the fact that an opponents
arguments, to the extent to which they are unrefuted by you, can be taken as an
unrefuted statement of fact.

In this respect, Red Hat's memorandum opposing SCO's motion to dismiss argues
that SCO's claim that it does not intend to pursue a lawsuit against RedHat
until after  they complete their suite against IBM. It misses the point that
SCO's argument is that it *does* plan to sue Red Hat. The threat of a lawsuit is
now real and not only accepted by SCO but put foreward by them. One need only
argue now that their current intended timing is irrelevant to Red Hat's motion.

In explaining the comments of Sontag and McBride, SCO contends that:

"Red Hat next incorrectly attributes a quote to Chris Sontag. Specifically, in
paragraph 50, Red Hat claims Mr. Sontag said that SCO "may bring subsequent
actions against Linux software developers such as Red Hat ...." There are two
significant flaws with Red Hat's use of this "quote." First, it is not a
statement that Chris Sontag made. According to the CNETnews.com article from
which the quote came, the quote was the reporter's interpretation of Mr.
Sontag's statement.8 ....."

If the comment is (as Red Hat claims) a direct quote from Chris Sontag, it would
obviously cause a reasonable apprehension of litigation on the part of SCO.  On
the other hand, if one accepts's SCO's claim that it "...was the reporter's
interpretaion of Mr. Sontag's statement 8." it can clearly be seen as the
apprehension of a reasonable and independant third party that Sontag's
statements in that interview contained  either an explicit or an implicit threat
of litigation against Red Hat.

They also seem to either accept as accurate or put forward as factual, the next
paragraph: 
"SCO may also amend its complaint to bring additional causes of action against
IBM, he added, and bring subsequent actions against Linux software developers
such as Red Hat and SuSE."

In referring to  Bonterra America v. Bestmann, SCO notes that: "no allegations
have been made that [defendant] has ever before sued another entity for
infringement." SCO has cleary sued for infringement and (despite SCO's claims to
the contrary), "Red Hat's day of reconning" can easily be seen as at least an
implicit threat of further litigation (see also the paragraph above).

As for the claim that 
"The Public Statements also address or relate to pending or potential litigation
and are privileged under the common law doctrine of litigation immunity.":
The only stateements which enjoy *limited* immunity are those which are made
directly to the court. There is a Canadian Supreme Court case which makes
reference  to US cases on this, and points out that "when one then stands in
front of the court and repeats those same allegations to the press, those public
statements do not hold the same immunity".

http://www.lexum.umontreal.ca/csc-scc/en/pub/1995/vol2/html/1995scr2_1130.html

Most notable in the summary:
     Qualified privilege attaches to the occasion upon which the communication
is made, and not to the communication itself. 


Even then, the immunity is limited, not absolute. From my readings, it applies
mostly to the presumption of malice in statements where they are false. Even if
SCO's comments had been  limited to filings with and statements before the
courts, if those filings had been such as to give Red Hat a premonition of
litigation my guess (IANAL) is that they would still be admissable in that context.
Comment 6 Stephen Samuel 2004-02-26 03:10:32 EST
SCO is threatening end-users of Linux, "rather than distributors", and
one of it's arguments is that, because Red Hat is a Distributor, it's
only at risk in a vicarious manner.
 
As far as I know, Red Hat 'eats it's own dog food', in that  it uses
Linux in the course of it's business. As an end-user of Linux, and
independent of it's status as a distributor, it's just as much at risk
of legal action as any of it's external customers.
Comment 7 Bugzilla owner 2004-09-30 11:41:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.